Subject: Re: [PATCH] doc: add --show-names for git config

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 Aug 2024 09:02:44 -0700

Patrick Steinhardt <[email-masked]> writes:

> On Mon, Aug 19, 2024 at 09:04:50AM -0700, Junio C Hamano wrote:
>> As to the name, I tend to agree that --show-names is a strange name
>> for the option, and I would have even suggest making "--all" to show
>> the name by default and give "--hide-name" option to countermand it
>> if we were adding this topic afresh today.  But that unfortunately
>> is all too late to change without much more effort than just changing
>> the name.
>
> Mh. Yeah, that might've been the better default indeed. The new command
> is still relatively young, but still, I don't know whether changing this
> is in the picture now.

Yeah, it appeared only in the latest release, and may not be relied
on yet.